/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.dto.comLib;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.Date;

/**
* Restful接口--新增资源--数据传输对象：业务组件库组件列表
*
* createdate:  2022-12-06 11:42:09  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "业务组件库组件列表")
public class LibraryBusComInfoAddDto implements Serializable
{
    /**
     * 主键<br>
     */
    @ApiModelProperty("主键")
    private String id;
    /**
     * 组件名称<br>
     */
    @ApiModelProperty("组件名称")
    private String comName;
    /**
     * 组件类型1-接口，2-pcbs，3-pccs，4-安卓，5-ios<br>
     */
    @ApiModelProperty("组件类型1-接口，2-pcbs，3-pccs，4-安卓，5-ios")
    private Integer comType;
    /**
     * 说明<br>
     */
    @ApiModelProperty("说明")
    private String memo;
    /**
     * 脚本内容<br>
     */
    @ApiModelProperty("脚本内容")
    private String scriptContent;
    /**
     * 目录树id<br>
     */
    @ApiModelProperty("目录树id")
    private String treeId;

    /**
     * 步骤内容<br>
     */
    @ApiModelProperty("步骤内容")
    private String comJson;
    /**
     * 参数内容<br>
     */
    @ApiModelProperty("参数内容")
    private String paramJson;
    /**
     * 创建人<br>
     */
    @ApiModelProperty("创建人")
    @Size(max = 32, message="创建人-createdBy: 数据长度不能 > 32" )
    private String createdBy;
    /**
     * 创建时间<br>
     */
    @ApiModelProperty("创建时间")
    private Date createdTime;

    private String projectId;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getComName() {
        return comName;
    }

    public void setComName(String comName) {
        this.comName = comName;
    }

    public Integer getComType() {
        return comType;
    }

    public void setComType(Integer comType) {
        this.comType = comType;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public String getScriptContent() {
        return scriptContent;
    }

    public void setScriptContent(String scriptContent) {
        this.scriptContent = scriptContent;
    }
    public String getTreeId() {
        return treeId;
    }

    public void setTreeId(String treeId) {
        this.treeId = treeId;
    }

    public String getComJson() {
        return comJson;
    }

    public void setComJson(String comJson) {
        this.comJson = comJson;
    }

    public String getParamJson() {
        return paramJson;
    }

    public void setParamJson(String paramJson) {
        this.paramJson = paramJson;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }
}